cascading.operation

## Interface ValueAssertionCall<C>

- All Superinterfaces:
    OperationCall<C>
  All Known Implementing Classes:
    ConcreteCall

      public interface ValueAssertionCall<C>
      extends OperationCall<C>

  Interface ValueAssertionCall provides access to the current `ValueAssertion` invocation arguments.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TupleEntry` | `getArguments()` Returns `TupleEntry` of argument values.

    - ### Methods inherited from interface cascading.operation.OperationCall

      `getArgumentFields, getContext, setContext`

- - ### Method Detail

    - #### getArguments

          TupleEntry getArguments()

      Returns `TupleEntry` of argument values.

      Note that the returned TupleEntry should not be cached (stored in a Collection), nor should the underlying Tuple instance. Where possible Cascading will re-use both TupleEntry and Tuple instances.

      To get a safe copy that can be cached, use `TupleEntry.getTupleCopy()`.
      Returns:
        TupleEntry

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.